import { select, arc } from 'd3';

const svg = select('svg');
const height = parseFloat(svg.attr('height'));
const width = parseFloat(svg.attr('width'));

const g = svg.append('g')
	.attr('transform', `translate(${width / 2}, ${height/2})`);


const circle = g.append('circle')
  .attr('r', height/2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 40;
const eyebrowwidth = 70;
const eyebrowheight = 15;
const eyebrowYOffset = -70;

const eyesG = g.append('g')
	.attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx', -eyeSpacing);

const rightEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx', +eyeSpacing);

const eyesbrowsG = eyesG.append('g')
	.attr('transform', `translate(0, ${eyebrowYOffset})`);

eyesbrowsG
	.transition().duration(2000)
	.attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
	.transition().duration(2000)
	.attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyesbrowsG.append('rect')
	.attr('x', -eyeSpacing - eyebrowwidth / 2)
	.attr('width', eyebrowwidth)
	.attr('height', eyebrowheight);

const rightEyebrow = eyesbrowsG.append('rect')
	.attr('x', eyeSpacing - eyebrowwidth / 2)
	.attr('width', eyebrowwidth)
	.attr('height', eyebrowheight);



const mouth = g.append('path')
	.attr('d', arc()({
    innerRadius:150,
    outerRadius:170,
    startAngle: Math.PI / 2,
    endAngle: Math.PI * 3 /2
  }));




